<?php

namespace app\common\model\system\serve;

use app\common\model\BaseModel;

class ServeMeal extends BaseModel
{


    public static function tablePk(): string
    {
        return 'meal_id';
    }


    public static function tableName(): string
    {
        return 'serve_meal';
    }

    public function searchTypeAttr($query, $value)
    {
        $query->where('type', $value);
    }

    public function searchStatusAttr($query, $value)
    {
        $query->where('status', $value);
    }

    public function searchNameAttr($query, $value)
    {
        $query->whereLike('name', "%{$value}%");
    }

    public function searchIsDelAttr($query, $value)
    {
        $query->where('is_del', $value);
    }

}
